import { EventEmitter } from '../../stencil-public-runtime';
export declare class BsCollapse {
  /**
   * the accordion label which will show up on the accordion button
   */
  name: string;
  collapseId: string;
  /**
   * where to show the visual indicator that the collapse is open or closed
   * pass an empty string to hide the arrow
   */
  arrowPosition: 'left' | 'right' | '';
  /**
   * Group identifier to group collapse
   */
  groupId?: string;
  /**
   * The accordion default state
   */
  isOpen: boolean;
  /**
   * Collapse Event emitted
   */
  bsCollapseToggled: EventEmitter;
  el: HTMLElement;
  componentDidLoad(): void;
  collapseToggle(): void;
  showContent(): void;
  hideContent(): void;
  collapseOthers(event: CustomEvent): void;
  render(): any;
}
